Name: metakit
Version: 2.4.9.3
Release: alt1.1

Summary: Embeddable database
License: X/MIT-like
Group: System/Libraries
#License: GPL ?? -- at least unix/metakit.spec states so, controversially with docs
Url: http://www.equi4.com/metakit/
Packager: Michael Shigorin <mike@altlinux.ru>

Source: %name-%version.tar.gz
Patch0: metakit-2.4.9.3-alt-libtool.patch.bz2

# Automatically added by buildreq on Wed Dec 11 2002
BuildRequires: gcc-c++ libstdc++-devel

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms.  It lets you build applications which store their
data efficiently, in a portable way, and which will not need a complex
runtime installation.  In terms of the data model, MetaKit takes the
middle ground between RDBMS, OODBMS, and flat-file databases - yet it
is quite different from each of them.

%package -n lib%name
Summary: Main library for %name
Group: System/Libraries

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with %name.

%package -n lib%name-devel
Summary: Files to compile programs that will use %name
Group: Development/Databases
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package -n lib%name-devel-static
Summary: Files to link with static programs that use %name
Group: Development/Databases
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries for %name development.

%prep
%setup -q
bzcat %PATCH0 | patch -p1 -F10 

%build
%__subst "s/^CXXFLAGS.*/CXXFLAGS = %optflags/" unix/Makefile.in
cd unix
autoconf
cd ../builds

# whoever wants python should look at Conectiva package first;
# tcl -- don't know at all (tcl-devel wouldn't help)
../unix/configure \
	--disable-python --disable-tcl \
	--prefix=%prefix --mandir=%_mandir \
	--libdir=%_libdir --includedir=%_includedir \
	--infodir=%_infodir --bindir=%_bindir \
	--sbindir=%_sbindir --sysconfdir=%_sysconfdir \
	--enable-shared %{subst_enable static}

%make_build
%make_build test

%install
%makeinstall -C builds

# fix some permissions
chmod -x CHANGES README *.html
find . -type d -name CVS -print0 |
	xargs -r0 rm -rf --
find doc demos -type f -print0 |
	xargs -r0 chmod 644 --

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%doc CHANGES README Metakit.html doc/e4s.gif doc/format.html
%_libdir/*.so.*

%files -n lib%name-devel
%doc doc/api demos
%_libdir/*.so
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif 

%changelog
* Wed Aug 04 2004 Dmitry V. Levin <ldv@altlinux.org> 2.4.9.3-alt1.1
- Minor specfile cleanup.

* Mon Jun 07 2004 Michael Shigorin <mike@altlinux.ru> 2.4.9.3-alt1
- 2.4.9.3
- removed *.la
- updated patch0
- conditional static library build

* Fri Jun 13 2003 Michael Shigorin <mike@altlinux.ru> 2.4.9.2-alt2
- 2.4.9.2, replacing mispackaged alt1
- updated patch

* Sun Jun 8 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.4.9.2-alt1
- First version of RPM package.

* Wed Dec 11 2002 Michael Shigorin <mike@altlinux.ru> 2.4.8-alt1
- built for ALT Linux
- spec and patches adapted from Mandrake and Conectiva
  (latter is definitely cleaner and overall better!)
- credits:
    Lenny Cartier <lenny@mandrakesoft.com>
    Guillaume Cottenceau <gc@mandrakesoft.com>
    Andreas Hasenack <andreas@conectiva.com.br>
    Helio Chissini de Castro <helio@conectiva.com.br>
